#!/usr/bin/env python
'''enemy_magma.py
    magma enemy type for Get Out
'''

import pygame
from pygame.locals import*
from enemy import*

class enemy_magma(enemy):
    ''' slime enemy class '''
    def __init__(self, tset, idno, loc=[5,5], pic=[7,4]):
        ''' initiliaze magma enemy class
            loc = enemy location on map
            pic = x,y location of sprite graphic in tileset
        '''
        self.loc = loc
        pic = [9,1]
        enemy.__init__(self,self.loc, tset.getXY(pic), idno)
        self.ENEMYTYPE = 2
        self.splatpic = [3,10] # coordinates of splat image
    
    def update(self):
        ''' called from game method to update this enemy '''
        self.move()
        if self.nextToPlayer():
            self.splat()
    
    def isValid(self, ttype):
        ''' returns if a tile type is valid for this monster to move onto
            ttype = number of tile type
        '''
        if ttype == 1 or ttype == 3:
            return True
        else:
            return False
    
    def splat(self):
        ''' called when monster is destroyed *** SPLATTED *** '''
        pygame.event.post(pygame.event.Event(USEREVENT,
                                             uetype="splat",
                                             loc = self.loc,
                                             splattype = 1,
                                             idno = self.idno,
                                             pic = self.splatpic))
        
        pygame.event.post(pygame.event.Event(USEREVENT,
                                             uetype="score",
                                             value=10))


