#!/usr/bin/env python
''' enemy_slime.py
    slime enemy type for get out
'''

import pygame
from pygame.locals import *
from enemy import *
from others import *

class enemy_slime(enemy):
    ''' slime enemy class '''
    def __init__(self, tset, idno, loc=[5,5], pic=[7,4]):
        ''' initiliaze slime enemy class
            loc = enemy location on map
            pic = x,y location of sprite graphic in tileset
        '''
        self.loc = loc
        enemy.__init__(self,self.loc, tset.getXY(pic), idno)
        self.ENEMYTYPE = 1
        self.splatpic = [2,10] # coordinates of splat image
    
    def update(self):
        ''' called from game method to update this enemy '''
        self.move()
        if self.nextToPlayer():
            self.splat()
    
    def isValid(self, ttype):
        ''' returns if a tile type is valid for this monster to move onto
            ttype = number of tile type
        '''
        if ttype == 1 or ttype == 4:
            return True
        else:
            return False
    
    def splat(self):
        ''' called when monster is destroyed *** SPLATTED *** '''
        pygame.event.post(pygame.event.Event(USEREVENT,
                                             uetype="splat",
                                             loc = self.loc,
                                             splattype = 1,
                                             idno = self.idno,
                                             pic = self.splatpic))
        
        pygame.event.post(pygame.event.Event(USEREVENT,
                                             uetype="score",
                                             value=10))
        
        
